{{ include('layout/rightColumnCloseButton.twig') }}

<h2>Résultats de la recherche</h2>

<table class="table">

    {% if res.sysma_objects|length > 0 %}
        <tr><td colspan="7"><h3>Objets</h3></td></tr>

        {% for O in res.sysma_objects %}

            {% if [app.session.get('user_id'),O.organisation_id,O.sysma_object_type_id,O.status,null,null,null,'lecteur']|hasAccess %}

                <tr>
                    <td><a href="{{ url('objet-carte', { 'sysma_object_id' : O.id })}}" onmouseover="showObjectInMap({{ O.id}})" onmouseout="hideObjectInMap({{ O.id}})"><small>[{{O.id}}]</small></a></td>
                    <td>
                        <a href="{{ url('objet-carte', { 'sysma_object_id' : O.id })}}">{{O.sysma_object|raw}}</a> 
                    </td>                   
                    <td>{{O.sysma_object_type|raw}} </td>
                    <td></td>
                    <td>{{O.organisation|raw}}</td>
                    <td>
                        <a href="{{ url('object-form', { 'id' : O.id })}}">
                            <span class="glyphicon glyphicon-print"></span></a>

                    </td>

                    <td><a href="{{ url('sysma-object-type', { 'id' : O.sysma_object_type_id })}}"><span class="glyphicon glyphicon-book"></span></a></td>
                </tr>
            {% endif %}
        {% endfor %}


    {%  else %}
        <tr><td colspan="7"><p>Aucun objet trouvé.</p>  </td></tr>  
    {% endif %}


    {% if res.sysma_actions|length > 0 %}
        <tr><td colspan="7"><h3>Actions</h3></td></tr>

        {% for T in res.sysma_actions %}
            {% if [app.session.get('user_id'),T.organisation_id,null,null,T.sysma_action_type_id ,T.status ,T.id,'lecteur']|hasAccess %}
                <tr>
                    <td><small>{{T.id}}</small></td>
                    <td>{{T.sysma_action|raw}}</td>
                    <td>{{T.sysma_action_type|raw}}</td>
                    <td>{%  for O in T.sysmaObjectsArray %}
                        <a href="{{ url('objet-carte', { 'sysma_object_id' : O.id })}}">{{O.sysma_object}} <small>[{{ O.id }}]</small></a><br>
                        {%  endfor %}
                        </td>
                        <td>{{T.organisation|raw}}</td>
                        <td>
                            <a href="{{ url('report-work', { 'ids' : T.id })}}">
                                <span class="glyphicon glyphicon-print"></span></a>

                        </td>

                        <td><a href="{{ url('thesaurus-action-type', { 'id' : T.sysma_action_type_id })}}"><span class="glyphicon glyphicon-book"></span></a></td>
                    </tr>
                    {% endif %}
                        {% endfor %}
                            {%  else %}
                                <tr><td colspan="7"><p>Aucune action trouvée.</p> </td></tr>
                                {% endif %}
                                </table>